/**
 * VYLEPŠENÍ POUŽITELNOSTI
 * Různé vychytávky pro vylepšení zážitku z prohlížení
 */

/* Zapnutí scrollování prostředním kolečkem */ 
user_pref("general.autoScroll", true);
/* Skrytí lišty záložek */
user_pref("browser.toolbars.bookmarks.visibility", "never");
/* Rozložení prohlížeče */
user_pref("browser.uiCustomization.state", "{\"placements\":{\"nav-bar\":[\"back-button\",\"forward-button\",\"stop-reload-button\",\"urlbar-container\",\"downloads-button\",\"fxa-toolbar-menu-button\",\"ublock0_raymondhill_net-browser-action\"],\"toolbar-menubar\":[\"menubar-items\"],\"TabsToolbar\":[\"panorama-tab-groups_example_com-browser-action\",\"tabbrowser-tabs\",\"new-tab-button\",\"alltabs-button\"]},\"currentVersion\":18}");
/* Zapnutí podpory CSS úprav rozhraní */
user_pref("toolkit.legacyUserProfileCustomizations.stylesheets", true);


/**
 * NOVÝ PANEL
 * Nastavení stránky v novém panelu
 */

/* Zapnutí dvou řádků často navštěvovaných stránek v novém panelu */
user_pref("browser.newtabpage.activity-stream.topSitesRows", 2);
/* Zapnutí zobrazování poslední aktivity v novém panelu */
user_pref("browser.newtabpage.activity-stream.feeds.section.highlights", true);
/* Přestat doporučovat doplňky a funkce */
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.addons", false);
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.features", false);
/* Vypnutí dalších nepotřebných funkcí */
user_pref("browser.newtab.preload", false);
user_pref("browser.newtabpage.activity-stream.section.highlights.includePocket", false);
user_pref("browser.newtabpage.activity-stream.showSponsoredTopSites", false);
user_pref("browser.newtabpage.enhanced", false);
user_pref("browser.newtabpage.introShown", true);


/** 
 * TELEMETRIE
 * Vypnutí odesílání telemetrických dat a studií Mozilly
 */

/* Vypnutí studií */
user_pref("app.shield.optoutstudies.enabled", false);
user_pref("app.normandy.api_url", "");
user_pref("app.normandy.enabled", false);
/* Zakázání odesílání technických informací Mozille */
user_pref("datareporting.healthreport.service.enabled", false);
user_pref("datareporting.healthreport.uploadEnabled", false);
user_pref("datareporting.policy.dataSubmissionEnabled", false);
/* Vypnutí odesílání telemetrických dat */
user_pref("toolkit.telemetry.archive.enabled", false);
user_pref("toolkit.telemetry.bhrPing.enabled", false);
user_pref("toolkit.telemetry.cachedClientID", "");
user_pref("toolkit.telemetry.enabled", false);
user_pref("toolkit.telemetry.firstShutdownPing.enabled", false);
user_pref("toolkit.telemetry.hybridContent.enabled", false);
user_pref("toolkit.telemetry.newProfilePing.enabled", false);
user_pref("toolkit.telemetry.prompted", 2);
user_pref("toolkit.telemetry.rejected", true);
user_pref("toolkit.telemetry.reportingpolicy.firstRun", false);
user_pref("toolkit.telemetry.server", "");
user_pref("toolkit.telemetry.shutdownPingSender.enabled", false);
user_pref("toolkit.telemetry.unified", false);
user_pref("toolkit.telemetry.unifiedIsOptIn", false);
user_pref("toolkit.telemetry.updatePing.enabled", false);
/* Vypnutí dat o pokrytí */
user_pref("toolkit.telemetry.coverage.opt-out", true);
user_pref("toolkit.coverage.opt-out", true);
user_pref("toolkit.coverage.endpoint.base", "");
/* Vypnutí telemetrických dat o stránce nového panelu */
user_pref("browser.newtabpage.activity-stream.feeds.telemetry", false);
user_pref("browser.newtabpage.activity-stream.telemetry", false);


/**
 * HLÁŠENÍ O PÁDU
 * Vypnutí hlášení o pádu Mozille
 */

user_pref("breakpad.reportURL", "");
user_pref("browser.tabs.crashReporting.sendReport", false);
user_pref("browser.crashReports.unsubmittedCheck.autoSubmit", false);
user_pref("browser.crashReports.unsubmittedCheck.autoSubmit2", false);
user_pref("browser.crashReports.unsubmittedCheck.enabled", false);


/**
 * ZBYTEČNÉ FUNKCE
 * Vypnutí zbytečných funkcí
 */

/* Vypnutí hlášky o vyresetování Firefoxu po dlouhé době */
user_pref("browser.disableResetPrompt", true);
/* Vypnutí Firefox View */
user_pref("browser.tabs.firefox-view", false);
/* Vypnutí vestavěných hesel */
user_pref("signon.autofillForms", false);
user_pref("signon.rememberSignons", false);
/* Neotevírat automaticky stránku po aktualizaci */
user_pref("browser.startup.homepage_override.mstone", "ignore");
/* Vypnout Pocket */
user_pref("extensions.pocket.enabled", false);
/* Vypnout menu po stisknutí altu */
user_pref("ui.key.menuAccessKeyFocuses", false);


/**
 * ADRESNÍ ŘÁDEK
 * Vylepšené nastavení adresního řádku
 */

user_pref("browser.urlbar.groupLabels.enabled", false);
user_pref("browser.urlbar.quicksuggest.enabled", false);
user_pref("browser.urlbar.speculativeConnect.enabled", false);
user_pref("browser.urlbar.dnsResolveSingleWordsAfterSearch", 0);
user_pref("browser.urlbar.suggest.quicksuggest.nonsponsored", false);
user_pref("browser.urlbar.suggest.quicksuggest.sponsored", false);
user_pref("browser.fixup.alternate.enabled", false);
user_pref("network.IDN_show_punycode", true);


/** 
 * SLEDOVÁNÍ
 * Základní ochrana před sledováním
 */

user_pref("browser.sessionstore.privacy_level", 2);
user_pref("privacy.donottrackheader.enabled", true);
user_pref("privacy.donottrackheader.value", 1);
user_pref("privacy.query_stripping.enabled", true);
user_pref("privacy.trackingprotection.cryptomining.enabled", true);


/**
 * SAFEBROWSING
 * Vypnutí funkce safebrowsing, která komunikuje s Googlem
 */

user_pref("browser.safebrowsing.appRepURL", "");
user_pref("browser.safebrowsing.blockedURIs.enabled", false);
user_pref("browser.safebrowsing.downloads.enabled", false);
user_pref("browser.safebrowsing.downloads.remote.enabled", false);
user_pref("browser.safebrowsing.downloads.remote.url", "");
user_pref("browser.safebrowsing.enabled", false);
user_pref("browser.safebrowsing.malware.enabled", false);
user_pref("browser.safebrowsing.phishing.enabled", false);


/** 
 * HARDWAROVÁ VIDEO AKCELERACE
 * Zlepšení výkonu při přehrávání videí
 */

user_pref("gfx.webrender.all", true);
user_pref("media.ffmpeg.vaapi.enabled", true);


/**
 * SENZORY
 * Vypnutí přístupu k některým senzorům, které stejně nepotřebujete
 */

user_pref("device.sensors.ambientLight.enabled", false);
user_pref("device.sensors.enabled", false);
user_pref("device.sensors.motion.enabled", false);
user_pref("device.sensors.orientation.enabled", false);
user_pref("device.sensors.proximity.enabled", false);
user_pref("dom.battery.enabled", false);


/**
 * SÍŤ
 * Zakázání spekulativního přednačítání
 */

user_pref("network.prefetch-next", false);
user_pref("network.predictor.enable-prefetch", false);
user_pref("network.predictor.enabled", false);
user_pref("network.http.speculative-parallel-limit", 0);
